Subject: Build failure

From: David Kastrup <[email-masked]>
Date: Mon, 07 Apr 2014 10:08:25 +0200

I cannot get current master to build.  System is Ubuntu 14.04, I am
building with

../emacs/configure --without-toolkit-scroll-bars

Even after make distclean, cleaning out the build directory completely
and then running

make

after configuring as above, I eventually crash out at

Wrote /usr/local/tmp/emacs/lisp/progmodes/cc-mode.elc
Compiling ../../emacs/lisp/org/ob-asymptote.el

Backtrace:
../src/emacs[0x8138913]
../src/emacs[0x8120061]
../src/emacs[0x8138967]
../src/emacs[0x8178c10]
../src/emacs[0x81c2007]
../src/emacs[0x818d79e]
../src/emacs[0x818da53]
../src/emacs[0x81c07c3]
../src/emacs[0x818d79e]
../src/emacs[0x818cc8c]
../src/emacs[0x818cfa4]
../src/emacs[0x818d4a6]
../src/emacs[0x818c9d7]
../src/emacs[0x81901f5]
../src/emacs[0x818d28e]
../src/emacs[0x818d4a6]
../src/emacs[0x818fdc7]
../src/emacs[0x818d28e]
../src/emacs[0x818d4a6]
../src/emacs[0x818d80f]
../src/emacs[0x818cc8c]
../src/emacs[0x818cfa4]
../src/emacs[0x818d28e]
../src/emacs[0x818fd33]
../src/emacs[0x818d28e]
../src/emacs[0x818d4a6]
../src/emacs[0x818d80f]
../src/emacs[0x818da53]
../src/emacs[0x818ee5b]
../src/emacs[0x818f08f]
../src/emacs[0x818f620]
../src/emacs[0x818dc70]
../src/emacs[0x81c07c3]
../src/emacs[0x818d79e]
../src/emacs[0x818da53]
../src/emacs[0x81c07c3]
../src/emacs[0x818d79e]
../src/emacs[0x818da53]
../src/emacs[0x81c07c3]
../src/emacs[0x818d79e]
../src/emacs[0x818da53]
...
make[2]: *** [org/ob-asymptote.elc] Aborted (core dumped)
make[2]: Leaving directory `/usr/local/tmp/emacs-build/lisp'
make[1]: *** [compile-main] Error 2
make[1]: Leaving directory `/usr/local/tmp/emacs-build/lisp'
make: *** [lisp] Error 2

uname -a
Linux lola 3.11.0-17-generic #31-Ubuntu SMP Mon Feb 3 21:53:31 UTC 2014 i686 i686 i686 GNU/Linux

gcc --version
gcc (Ubuntu 4.8.2-17ubuntu2) 4.8.2
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Any more information that you need?

-- 
David Kastrup